Bug 1118831 - (CVE-2018-19931) VUL-1: CVE-2018-19931: binutils: heap-based buffer overflow in bfd_elf32_swap_phdr_in in elfcode.h
(CVE-2018-19931)
VUL-1: CVE-2018-19931: binutils: heap-based buffer overflow in bfd_elf32_swa...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Michael Matz
Security Team bot
https://smash.suse.de/issue/220415/
CVSSv3:SUSE:CVE-2018-19931:4.0:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-07 19:19 UTC by Marcus Meissner
Modified: 2020-06-08 23:25 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-12-07 19:19:18 UTC
CVE-2018-19931

An issue was discovered in the Binary File Descriptor (BFD) library
(aka libbfd), as distributed in GNU Binutils through 2.31. There is a
heap-based buffer overflow in bfd_elf32_swap_phdr_in in elfcode.h
because the number of program headers is not restricted.


References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-19931
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-19931.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-19931
Comment 2 Swamp Workflow Management 2019-09-10 16:20:45 UTC
This is an autogenerated message for OBS integration:
This bug (1118831) was mentioned in
https://build.opensuse.org/request/show/729929 Factory / binutils
Comment 5 Swamp Workflow Management 2019-10-14 13:12:36 UTC
SUSE-SU-2019:2650-1: An update that solves 17 vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1109412,1109413,1109414,1111996,1112534,1112535,1113247,1113252,1113255,1116827,1118830,1118831,1120640,1121034,1121035,1121056,1133131,1133232,1141913,1142772
CVE References: CVE-2018-1000876,CVE-2018-17358,CVE-2018-17359,CVE-2018-17360,CVE-2018-17985,CVE-2018-18309,CVE-2018-18483,CVE-2018-18484,CVE-2018-18605,CVE-2018-18606,CVE-2018-18607,CVE-2018-19931,CVE-2018-19932,CVE-2018-20623,CVE-2018-20651,CVE-2018-20671,CVE-2019-1010180
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    binutils-2.32-9.33.1
SUSE OpenStack Cloud 8 (src):    binutils-2.32-9.33.1
SUSE OpenStack Cloud 7 (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    binutils-2.32-9.33.1, cross-ppc-binutils-2.32-9.33.1, cross-spu-binutils-2.32-9.33.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    binutils-2.32-9.33.1, cross-ppc-binutils-2.32-9.33.1, cross-spu-binutils-2.32-9.33.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server 12-SP5 (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server 12-SP4 (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Desktop 12-SP5 (src):    binutils-2.32-9.33.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    binutils-2.32-9.33.1
SUSE Enterprise Storage 5 (src):    binutils-2.32-9.33.1
SUSE Enterprise Storage 4 (src):    binutils-2.32-9.33.1
HPE Helion Openstack 8 (src):    binutils-2.32-9.33.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-10-24 19:13:09 UTC
SUSE-SU-2019:2779-1: An update that fixes 28 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1109412,1109413,1109414,1111996,1112534,1112535,1113247,1113252,1113255,1116827,1118644,1118830,1118831,1120640,1121034,1121035,1121056,1133131,1133232,1141913,1142772,1152590,1154016,1154025
CVE References: CVE-2018-1000876,CVE-2018-17358,CVE-2018-17359,CVE-2018-17360,CVE-2018-17985,CVE-2018-18309,CVE-2018-18483,CVE-2018-18484,CVE-2018-18605,CVE-2018-18606,CVE-2018-18607,CVE-2018-19931,CVE-2018-19932,CVE-2018-20623,CVE-2018-20651,CVE-2018-20671,CVE-2018-6323,CVE-2018-6543,CVE-2018-6759,CVE-2018-6872,CVE-2018-7208,CVE-2018-7568,CVE-2018-7569,CVE-2018-7570,CVE-2018-7642,CVE-2018-7643,CVE-2018-8945,CVE-2019-1010180
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    binutils-2.32-7.5.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    binutils-2.32-7.5.1, cross-aarch64-binutils-2.32-7.5.1, cross-arm-binutils-2.32-7.5.1, cross-avr-binutils-2.32-7.5.1, cross-epiphany-binutils-2.32-7.5.1, cross-hppa-binutils-2.32-7.5.1, cross-hppa64-binutils-2.32-7.5.1, cross-i386-binutils-2.32-7.5.1, cross-ia64-binutils-2.32-7.5.1, cross-m68k-binutils-2.32-7.5.1, cross-mips-binutils-2.32-7.5.1, cross-ppc-binutils-2.32-7.5.1, cross-ppc64-binutils-2.32-7.5.1, cross-ppc64le-binutils-2.32-7.5.1, cross-riscv64-binutils-2.32-7.5.1, cross-rx-binutils-2.32-7.5.1, cross-s390-binutils-2.32-7.5.1, cross-s390x-binutils-2.32-7.5.1, cross-sparc-binutils-2.32-7.5.1, cross-sparc64-binutils-2.32-7.5.1, cross-spu-binutils-2.32-7.5.1, cross-x86_64-binutils-2.32-7.5.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    binutils-2.32-7.5.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    binutils-2.32-7.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-10-25 16:14:40 UTC
SUSE-SU-2019:2780-1: An update that fixes 28 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1109412,1109413,1109414,1111996,1112534,1112535,1113247,1113252,1113255,1116827,1118644,1118830,1118831,1120640,1121034,1121035,1121056,1133131,1133232,1141913,1142772,1152590,1154016,1154025
CVE References: CVE-2018-1000876,CVE-2018-17358,CVE-2018-17359,CVE-2018-17360,CVE-2018-17985,CVE-2018-18309,CVE-2018-18483,CVE-2018-18484,CVE-2018-18605,CVE-2018-18606,CVE-2018-18607,CVE-2018-19931,CVE-2018-19932,CVE-2018-20623,CVE-2018-20651,CVE-2018-20671,CVE-2018-6323,CVE-2018-6543,CVE-2018-6759,CVE-2018-6872,CVE-2018-7208,CVE-2018-7568,CVE-2018-7569,CVE-2018-7570,CVE-2018-7642,CVE-2018-7643,CVE-2018-8945,CVE-2019-1010180
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15 (src):    binutils-2.32-6.8.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    binutils-2.32-6.8.1, cross-arm-binutils-2.32-6.8.1, cross-avr-binutils-2.32-6.8.1, cross-epiphany-binutils-2.32-6.8.1, cross-hppa-binutils-2.32-6.8.1, cross-hppa64-binutils-2.32-6.8.1, cross-i386-binutils-2.32-6.8.1, cross-ia64-binutils-2.32-6.8.1, cross-m68k-binutils-2.32-6.8.1, cross-mips-binutils-2.32-6.8.1, cross-ppc-binutils-2.32-6.8.1, cross-ppc64-binutils-2.32-6.8.1, cross-riscv64-binutils-2.32-6.8.1, cross-rx-binutils-2.32-6.8.1, cross-s390-binutils-2.32-6.8.1, cross-sparc-binutils-2.32-6.8.1, cross-sparc64-binutils-2.32-6.8.1, cross-spu-binutils-2.32-6.8.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    binutils-2.32-6.8.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    binutils-2.32-6.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2019-10-30 23:15:42 UTC
openSUSE-SU-2019:2415-1: An update that fixes 28 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1109412,1109413,1109414,1111996,1112534,1112535,1113247,1113252,1113255,1116827,1118644,1118830,1118831,1120640,1121034,1121035,1121056,1133131,1133232,1141913,1142772,1152590,1154016,1154025
CVE References: CVE-2018-1000876,CVE-2018-17358,CVE-2018-17359,CVE-2018-17360,CVE-2018-17985,CVE-2018-18309,CVE-2018-18483,CVE-2018-18484,CVE-2018-18605,CVE-2018-18606,CVE-2018-18607,CVE-2018-19931,CVE-2018-19932,CVE-2018-20623,CVE-2018-20651,CVE-2018-20671,CVE-2018-6323,CVE-2018-6543,CVE-2018-6759,CVE-2018-6872,CVE-2018-7208,CVE-2018-7568,CVE-2018-7569,CVE-2018-7570,CVE-2018-7642,CVE-2018-7643,CVE-2018-8945,CVE-2019-1010180
Sources used:
openSUSE Leap 15.0 (src):    binutils-2.32-lp150.10.1
Comment 10 Swamp Workflow Management 2019-11-05 20:20:02 UTC
openSUSE-SU-2019:2432-1: An update that fixes 28 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1109412,1109413,1109414,1111996,1112534,1112535,1113247,1113252,1113255,1116827,1118644,1118830,1118831,1120640,1121034,1121035,1121056,1133131,1133232,1141913,1142772,1152590,1154016,1154025
CVE References: CVE-2018-1000876,CVE-2018-17358,CVE-2018-17359,CVE-2018-17360,CVE-2018-17985,CVE-2018-18309,CVE-2018-18483,CVE-2018-18484,CVE-2018-18605,CVE-2018-18606,CVE-2018-18607,CVE-2018-19931,CVE-2018-19932,CVE-2018-20623,CVE-2018-20651,CVE-2018-20671,CVE-2018-6323,CVE-2018-6543,CVE-2018-6759,CVE-2018-6872,CVE-2018-7208,CVE-2018-7568,CVE-2018-7569,CVE-2018-7570,CVE-2018-7642,CVE-2018-7643,CVE-2018-8945,CVE-2019-1010180
Sources used:
openSUSE Leap 15.1 (src):    binutils-2.32-lp151.3.3.1, cross-aarch64-binutils-2.32-lp151.3.3.1, cross-arm-binutils-2.32-lp151.3.3.1, cross-avr-binutils-2.32-lp151.3.3.1, cross-epiphany-binutils-2.32-lp151.3.3.1, cross-hppa-binutils-2.32-lp151.3.3.1, cross-hppa64-binutils-2.32-lp151.3.3.1, cross-i386-binutils-2.32-lp151.3.3.1, cross-ia64-binutils-2.32-lp151.3.3.1, cross-m68k-binutils-2.32-lp151.3.3.1, cross-mips-binutils-2.32-lp151.3.3.1, cross-ppc-binutils-2.32-lp151.3.3.1, cross-ppc64-binutils-2.32-lp151.3.3.1, cross-ppc64le-binutils-2.32-lp151.3.3.1, cross-riscv64-binutils-2.32-lp151.3.3.1, cross-rx-binutils-2.32-lp151.3.3.1, cross-s390-binutils-2.32-lp151.3.3.1, cross-s390x-binutils-2.32-lp151.3.3.1, cross-sparc-binutils-2.32-lp151.3.3.1, cross-sparc64-binutils-2.32-lp151.3.3.1, cross-spu-binutils-2.32-lp151.3.3.1